local Deadened = LibStub("AceAddon-3.0"):GetAddon("Deadened")
local mod = Deadened:NewModule("Quartz", "AceHook-3.0")

local Quartz = LibStub("AceAddon-3.0"):GetAddon("Quartz3", true)

function mod:OnInitialize()
	if Quartz and Quartz:GetModuleEnabled("Target") then
		Deadened:InitModule("Quartz")
	end
end

function mod:OnEnable(module)
	if self:MenuHide() then return end

	local QuartzTarget = Quartz:GetModule("Target")
	if not QuartzTarget then return end

	if not self:IsHooked(QuartzTarget, "PreShowCondition") then
		self:RawHook(QuartzTarget, "PreShowCondition")
	end
end

function mod:MenuHide()
	return not Quartz or not Quartz:GetModuleEnabled("Target")
end

function mod:PreShowCondition(obj, bar, unit)
	local displayName = (select(3, UnitCastingInfo(unit)))
	if Deadened:IsDeaden(displayName) then
		return true
	else
		return self.hooks[obj].PreShowCondition(obj, bar, unit)
	end
end